package com.tanpu.feo.feojob.dao.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="com-tanpu-feo-feojob-dao-user-entity-DaySubjectEntity")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "day_subject")
public class DaySubjectEntity {
    /**
     * 唯一主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="唯一主键")
    private String id;

    /**
     * 标题
     */
    @TableField(value = "ds_title")
    @ApiModelProperty(value="标题")
    private String dsTitle;

    /**
     * 主题日期
     */
    @TableField(value = "ds_date")
    @ApiModelProperty(value="主题日期")
    private Date dsDate;

    /**
     * 状态
     */
    @TableField(value = "ds_status")
    @ApiModelProperty(value="状态")
    private String dsStatus;

    /**
     * 是否推内容 0:否 1:是
     */
    @TableField(value = "ds_ispush_content")
    @ApiModelProperty(value="是否推内容 0:否 1:是")
    private String dsIspushContent;

    /**
     * 不推内容时图片地址
     */
    @TableField(value = "ds_picurl")
    @ApiModelProperty(value="不推内容时图片地址")
    private String dsPicurl;

    /**
     * 图片跳转链接
     */
    @TableField(value = "ds_pic_link")
    @ApiModelProperty(value="图片跳转链接")
    private String dsPicLink;

    /**
     * 缩略图
     */
    @TableField(value = "ds_thumbnail")
    @ApiModelProperty(value="缩略图")
    private String dsThumbnail;

    /**
     * 是否置顶0:否 1:是
     */
    @TableField(value = "ds_issettop")
    @ApiModelProperty(value="是否置顶0:否 1:是")
    private String dsIssettop;

    /**
     * 好奇心日语标题
     */
    @TableField(value = "ds_day_title")
    @ApiModelProperty(value="好奇心日语标题")
    private String dsDayTitle;

    /**
     * 好奇心日语内容
     */
    @TableField(value = "ds_day_content")
    @ApiModelProperty(value="好奇心日语内容")
    private String dsDayContent;

    /**
     * 定时上架时间
     */
    @TableField(value = "ds_taskuptime")
    @ApiModelProperty(value="定时上架时间")
    private Date dsTaskuptime;

    /**
     * 平台
     */
    @TableField(value = "ds_pt")
    @ApiModelProperty(value="平台")
    private String dsPt;

    @TableField(value = "base_browse_num")
    @ApiModelProperty(value="")
    private Integer baseBrowseNum;

    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    @ApiModelProperty(value="创建时间")
    private Date createtime;

    /**
     * 创建人
     */
    @TableField(value = "createby")
    @ApiModelProperty(value="创建人")
    private String createby;

    /**
     * 修改时间
     */
    @TableField(value = "updatetime")
    @ApiModelProperty(value="修改时间")
    private Date updatetime;

    /**
     * 修改人
     */
    @TableField(value = "updateby")
    @ApiModelProperty(value="修改人")
    private String updateby;

    /**
     * 删除标识
     */
    @TableField(value = "deletetag")
    @ApiModelProperty(value="删除标识")
    private String deletetag;

    /**
     * 原始字段
     */
    @TableField(value = "ori_subject_id")
    @ApiModelProperty(value="原始字段")
    private String oriSubjectId;

    public static final String COL_ID = "id";

    public static final String COL_DS_TITLE = "ds_title";

    public static final String COL_DS_DATE = "ds_date";

    public static final String COL_DS_STATUS = "ds_status";

    public static final String COL_DS_ISPUSH_CONTENT = "ds_ispush_content";

    public static final String COL_DS_PICURL = "ds_picurl";

    public static final String COL_DS_PIC_LINK = "ds_pic_link";

    public static final String COL_DS_THUMBNAIL = "ds_thumbnail";

    public static final String COL_DS_ISSETTOP = "ds_issettop";

    public static final String COL_DS_DAY_TITLE = "ds_day_title";

    public static final String COL_DS_DAY_CONTENT = "ds_day_content";

    public static final String COL_DS_TASKUPTIME = "ds_taskuptime";

    public static final String COL_DS_PT = "ds_pt";

    public static final String COL_BASE_BROWSE_NUM = "base_browse_num";

    public static final String COL_CREATETIME = "createtime";

    public static final String COL_CREATEBY = "createby";

    public static final String COL_UPDATETIME = "updatetime";

    public static final String COL_UPDATEBY = "updateby";

    public static final String COL_DELETETAG = "deletetag";

    public static final String COL_ORI_SUBJECT_ID = "ori_subject_id";
}