package com.tanpu.feo.feojob.dao.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 机构扩展信息表
 */
@ApiModel(value = "com-tanpu-feo-feojob-dao-user-entity-OrgExtEntity")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "org_ext")
public class OrgExtEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 唯一主键
     */
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value = "唯一主键")
    private Long id;

    /**
     * 机构id
     */
    @TableField(value = "org_id")
    @ApiModelProperty(value = "机构id")
    private String orgId;

    /**
     * 0未删除，1删除
     */
    @TableField(value = "delete_tag")
    @ApiModelProperty(value = "0未删除，1删除")
    private String deleteTag;

    /**
     * 组织架构管理模式, 1从企业微信同步，2自定义
     */
    @TableField(value = "model")
    @ApiModelProperty(value = "组织架构管理模式, 1从企业微信同步，2自定义")
    private String model;

    /**
     * 企业微信认证相关key
     */
    @TableField(value = "json_wxcp_key")
    @ApiModelProperty(value = "企业微信认证相关key")
    private String jsonWxcpKey;

    /**
     * 企业微信同步 数据MD5
     */
    @TableField(value = "md5_wxcp_data")
    @ApiModelProperty(value = "企业微信同步 数据MD5")
    private String md5WxcpData;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    /**
     * 修改人
     */
    @TableField(value = "update_by")
    @ApiModelProperty(value = "修改人")
    private String updateBy;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    @ApiModelProperty(value = "创建人")
    private String createBy;

    public static final String COL_ID = "id";

    public static final String COL_ORG_ID = "org_id";

    public static final String COL_DELETE_TAG = "delete_tag";

    public static final String COL_MODEL = "model";

    public static final String COL_JSON_WXCP_KEY = "json_wxcp_key";

    public static final String COL_MD5_WXCP_DATA = "md5_wxcp_data";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";

    public static final String COL_UPDATE_BY = "update_by";

    public static final String COL_CREATE_BY = "create_by";
}